package org.nstart.dep265.requestservice.config

import io.swagger.v3.oas.models.OpenAPI
import io.swagger.v3.oas.models.info.Info
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
class OpenApiConfig {
    @Bean
    fun requestServiceOpenApi(): OpenAPI {
        return OpenAPI()
            .info(
                Info()
                    .title("PCP Request Service API")
                    .description("REST API сервиса заявок PCP.")
                    .version("v1"),
            )
    }
}
